Cyberduck Mountain Duck CLI

#10731 closed defect (fixed)

Auto-retry does not resume for failure "Interoperability failure - SSL peer shut down incorrectly"

Reported by: trustin Owned by: dkocher
Priority: normal Milestone: 7.0.1
Component: b2 Version: 7.0
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 10

Description (last modified by trustin)

I'm trying to download a multi-terabyte file from Backblaze B2 using Cyberduck 7.0 installed from Microsoft Store. Here's what I did to make sure the transfer automatically resumed even if a temporary network error occurs:

  • Disabled 'Transfers -> Downloads -> Segmented downloads with multiple connections per file'
  • Chose 'Resume' for 'Transfers -> Downloads -> Existing Files'
  • Enabled 'Connection -> Repeat failed networking tasks'

During transfer, I sometimes get 'Interoperability failure - SSL peer shut down incorrectly', which seems to mean the connection has been closed unexpectedly. When this happens, Cyberduck does not resume where the last byte was transferred but starts the transfer from the beginning, practically making it impossible to finish the transfer in my case.

To work around this issue, I have to disable 'Connection -> Repeat failed networking tasks' and press the 'Resume' button in the 'Transfers' window manually whenever an error occurs, but it'd be really nice if I can just enable automatic retry without worrying about this issue.

Change History (5)

comment:1 Changed on Jun 8, 2019 at 9:23:23 PM by trustin

  • Description modified (diff)

comment:2 Changed on Jun 12, 2019 at 9:06:58 AM by dkocher

  • Milestone set to 7.1
  • Owner set to dkocher
  • Status changed from new to assigned

comment:3 Changed on Jun 12, 2019 at 9:07:37 AM by dkocher

  • Component changed from core to b2
  • Summary changed from Backblaze B2: Auto-retry does not resume with 'Interoperability failure - SSL peer shut down incorrectly' to Auto-retry does not resume for failure "Interoperability failure - SSL peer shut down incorrectly"

comment:4 Changed on Jun 13, 2019 at 5:50:48 AM by yla

  • Resolution set to fixed
  • Status changed from assigned to closed

In r47229.

comment:5 Changed on Jun 19, 2019 at 12:05:39 PM by dkocher

  • Milestone changed from 7.1 to 7.0.1
Note: See TracTickets for help on using tickets.